  ---------------------------------
  -- INIT
  ---------------------------------
  --get the addon namespace
  local addon, ns = ...
  ns.cfg = {}
  local cfg = ns.cfg
  
  ---------------------------------
  -- CONFIG
  ---------------------------------
  local length = 18
  
  if (length == 18) then
    bartex = "Interface\\AddOns\\rBBS_Klasse\\media\\MainBar18.tga"
	lefttexX = -465
	righttexX = 450
  else
    bartex = "Interface\\AddOns\\rBBS_Klasse\\media\\MainBar12.tga"
	lefttexX = -300
	righttexX = 285
  end
  
  --actionbar background  
  cfg.actionbarbg = {
    name        = "ActionBar",    --this is needed if you want this frame to be movable ingame
    movable     = false,           --true/false: if this frame should be movable/sizable via /rbbs command in game
    --parent      = "UIParent",
    width       = 1024,
    height      = 512,
    scale       = 1,
    --alpha       = 1,
    --strata      = "BACKGROUND",  --frame strata
    --level       = 0, --frame level
    pos         = { a1="BOTTOM", a2="BOTTOM", af="UIParent", x=0, y=0, },    
	texture     = {
					file        = bartex,
                    --strata      = "BACKGROUND", --texture strata
                    --level       = -8, --texture level
                    --color       = { r=1, g=0, b=0, a = 1, },
                    --blendmode   = "ADD",
                  },
  } 
    
  --angel texture  
  cfg.angel = {
    name        = "Angel",
    movable     = false,
    width       = 512,
    height      = 256,
   -- strata      = "LOW",
    level       = 5,
    scale       = 0.75,
	pos         = { a1="BOTTOM", a2="BOTTOM", af="UIParent", x = righttexX, y=0, },
    texture     = {
                    file        = "Interface\\AddOns\\rBBS_Klasse\\media\\d3_angel2.tga",
                  },
  } 
  
  --demon texture  
  cfg.demon = {
    name        = "Demon",
    movable     = false,
    width       = 512,
    height      = 256,
   -- strata      = "LOW",
    level       = 5,
    scale       = 0.75,
	pos         = { a1="BOTTOM", a2="BOTTOM", af="UIParent", x = lefttexX, y=0, },
    texture     = {
                    file        = "Interface\\AddOns\\rBBS_Klasse\\media\\d3_demon2.tga",
                  },
  }
  
  ---------------------------------
  -- CONFIG
  ---------------------------------
